Update Document

Update document metadata such as title or description. Allows modification of: - Document title - Description Does not re-process the document content or embeddings.

Authentication

AuthorizationBearer

API key or access token, sent as Authorization: Bearer <token>. The simplest option: create an API key in your dashboard under Settings, then paste it here.

OR
AuthorizationBearer

API key or access token, sent as Authorization: Bearer <token>. The simplest option: create an API key in your dashboard under Settings, then paste it here.

Path parameters

document_idstringRequiredformat: "uuid"
The UUID of the document
org_idstringRequiredformat: "uuid"
The unique identifier of the organization.
project_idstringRequiredformat: "uuid"
The unique identifier of the project.

Request

This endpoint expects an object.
titlestringRequired
descriptionstring or nullOptional

Response

Document updated successfully
titlestring
project_idstringformat: "uuid"
strategystring
idstringformat: "uuid"
chunksinteger
original_mimestring
embedding_instanceslist of objects or null
descriptionstring or nullOptional
sourceenum or nullOptional
Source types for documents in the system.
source_metamap from strings to any or nullOptional
connection_idstring or nullOptionalformat: "uuid"

Errors

400
Bad Request Error
403
Forbidden Error
422
Unprocessable Entity Error